<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>
    <groupId>org.thema</groupId>
    <artifactId>fractalopolis</artifactId>
    <version>1.2.5</version>
    <packaging>jar</packaging>
    <description>Fractal planning</description>
    <name>Fractalopolis</name>
    <url>https://sourcesup.renater.fr/${project.artifactId}/</url>
    <build>
        <plugins>
            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-jar-plugin</artifactId>
                <version>3.1.2</version>
                <configuration>
                    <archive>
                        <manifestEntries>
                            <Implementation-Title>${project.groupId}.${project.artifactId}</Implementation-Title>
                            <Implementation-Version>${project.version}</Implementation-Version>
                            <Implementation-Vendor>ThéMA</Implementation-Vendor>
                            <Main-Class>${project.groupId}.${project.artifactId}.App</Main-Class>
                        </manifestEntries>
                    </archive>
                </configuration>
            </plugin>
            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-shade-plugin</artifactId>
                <version>3.2.1</version>
                <configuration>
                    <createDependencyReducedPom>true</createDependencyReducedPom>
                    <filters>
                        <filter>
                            <artifact>*:*</artifact>
                            <excludes>
                                <exclude>META-INF/*.SF</exclude>
                                <exclude>META-INF/*.DSA</exclude>
                                <exclude>META-INF/*.RSA</exclude>
                            </excludes>
                        </filter>
                    </filters>
                </configuration>
                <executions>
                    <execution>
                        <phase>package</phase>
                        <goals>
                            <goal>shade</goal>
                        </goals>
                        <configuration>
                            <transformers>
                                <transformer implementation="org.apache.maven.plugins.shade.resource.ServicesResourceTransformer" />
                            </transformers>
                        </configuration>
                    </execution>
                </executions>
            </plugin>
            <plugin>
                <groupId>de.akquinet.jbosscc.latex</groupId>
                <artifactId>maven-latex-plugin</artifactId>
                <version>1.2</version>
                <executions>
                    <execution>
                        <phase>site</phase>
                        <goals>
                            <goal>latex</goal>
                        </goals>
                    </execution>
                </executions>
            </plugin>
            <plugin>
                <artifactId>maven-site-plugin</artifactId>
                <version>3.12.1</version>
                <dependencies>
                    <dependency>
                        <groupId>org.apache.maven.wagon</groupId>
                        <artifactId>wagon-webdav-jackrabbit</artifactId>
                        <version>3.1.0</version>
                    </dependency>
                    <dependency>
                        <groupId>io.github.olamy.maven.skins</groupId>
                        <artifactId>reflow-velocity-tools</artifactId>
                        <version>2.0.0</version>
                    </dependency>
                </dependencies>
            </plugin>
        </plugins>
    </build>
    <properties>
        <project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
        <maven.compiler.source>1.8</maven.compiler.source>
        <maven.compiler.target>1.8</maven.compiler.target>
    </properties>

    <dependencies>
        <dependency>
            <groupId>org.swinglabs</groupId>
            <artifactId>swing-layout</artifactId>
            <version>1.0.3</version>
        </dependency>
        <dependency>
            <groupId>${project.groupId}</groupId>
            <artifactId>common</artifactId>
            <version>1.9</version>
        </dependency>
        <dependency>
            <groupId>${project.groupId}</groupId>
            <artifactId>data</artifactId>
            <version>1.9.6</version>
        </dependency>
        <dependency>
            <groupId>${project.groupId}</groupId>
            <artifactId>drawshape</artifactId>
            <version>1.9.2</version>
        </dependency>
        <dependency>
            <groupId>${project.groupId}</groupId>
            <artifactId>parallel</artifactId>
            <version>1.5.3</version>
        </dependency>
        <dependency>
            <groupId>${project.groupId}</groupId>
            <artifactId>graph</artifactId>
            <version>1.9.1</version>
        </dependency>
        <dependency>
            <groupId>gov.nist.math</groupId>
            <artifactId>jama</artifactId>
            <version>1.0.3</version>
        </dependency>
        <dependency>
            <groupId>org.apache.commons</groupId>
            <artifactId>commons-math3</artifactId>
            <version>3.2</version>
        </dependency>
        <dependency>
            <groupId>commons-lang</groupId>
            <artifactId>commons-lang</artifactId>
            <version>2.1</version>
        </dependency>
        <dependency>
            <groupId>org.graphstream</groupId>
            <artifactId>gs-core</artifactId>
            <version>1.2</version>
            <exclusions>
                <exclusion>
                    <artifactId>junit</artifactId>
                    <groupId>junit</groupId>
                </exclusion>
                <exclusion>
                    <artifactId>mbox2</artifactId>
                    <groupId>org.graphstream</groupId>
                </exclusion>
            </exclusions>
        </dependency>        
    </dependencies>
    <repositories>
        <repository>
            <id>thema-sourcesup</id>
            <name>ThéMA libs Repository</name>
            <url>http://sourcesup.renater.fr/nexus/content/repositories/themalibs-releases/</url>
        </repository>
    </repositories>
    <distributionManagement>
        <repository>
            <id>sourcesup</id>
            <url>https://sourcesup.renater.fr/nexus/content/repositories/${project.artifactId}-releases</url>
        </repository>
        <site>
            <id>sourcesup-dav</id>
            <url>dav:https://sourcesup.renater.fr/authmain/jenkins/www/${project.artifactId}/maven</url>
        </site>
    </distributionManagement>
    <scm>
        <connection>scm:git:https://git.renater.fr/anonscm/git/${project.artifactId}/${project.artifactId}.git</connection>
        <url>https://sourcesup.renater.fr/scm/browser.php?group_id=3143&amp;scm_plugin=scmgit</url>
    </scm>
    <reporting>
        <plugins>
            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-project-info-reports-plugin</artifactId>
                <version>2.9</version>
                <reportSets>
                    <reportSet>
                        <reports>
                            <report>summary</report>
                            <report>license</report>
                            <report>scm</report>
                            <report>project-team</report>
                        </reports>
                    </reportSet>
                </reportSets>
            </plugin>
        </plugins>
    </reporting>
    <organization>
        <name>Laboratoire ThéMA - UMR 6049 - CNRS / Université de Franche-Comté</name>
        <url>http://thema.univ-fcomte.fr</url>
    </organization>
    <developers>
        <developer>
            <id>gvuidel</id>
            <name>Gilles Vuidel</name>
        </developer>
    </developers>
    <licenses>
        <license>
            <name>GNU General Public License, Version 3.0</name>
            <url>http://www.gnu.org/licenses/gpl-3.0.txt</url>
            <distribution>repo</distribution>
        </license>
    </licenses>
</project>
